Bug 13347 - ContactSearch: implement and undraft
Summary: ContactSearch: implement and undraft
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: tp-spec (show other bugs)
Version: unspecified
Hardware: All All
: medium enhancement
Assignee: Will Thompson
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords:
Depends on: 13350 20829
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 06:57 UTC by Simon McVittie
Modified: 2010-07-14 04:55 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2007-11-22 06:57:46 UTC
- destination for JUD searches

(from telepathy-spec TODO)
Comment 1 Simon McVittie 2009-02-02 03:46:27 UTC
Redrafted:

http://people.freedesktop.org/~smcv/telepathy-spec-search/spec.html

The point mentioned here has not been addressed, but we could add a requestable Server property, just like on RoomList.
Comment 2 Simon McVittie 2009-03-24 07:23:45 UTC
In progress. A draft is in telepathy-spec (updated in git master for 0.17.22), and is awaiting implementation in Gabble.
Comment 3 Simon McVittie 2009-03-24 07:37:46 UTC
If we undraft ContactSearch before ContactInfo (Bug #13350) we'll need to move the type definitions from ContactInfo to ContactSearch temporarily.

A better solution would seem to be to implement ContactInfo and undraft it at the same time as ContactSearch.
Comment 4 Simon McVittie 2009-03-24 11:52:42 UTC
Review comment from spec discussion: x-telepathy-identifier shouldn't be in the result signals. Instead, they should gain an extra string parameter that is the contact ID.

(Not fixed in spec 0.17.22)
Comment 5 Simon McVittie 2010-04-13 06:19:08 UTC
Depending on how we resolve Bug #23155, the result signals should perhaps be in terms of IDs rather than handles, so marking this bug as blocked by that one.
Comment 6 Will Thompson 2010-07-13 10:43:34 UTC
(In reply to comment #5)
> Depending on how we resolve Bug #23155, the result signals should perhaps be in
> terms of IDs rather than handles, so marking this bug as blocked by that one.

It's been over a year since this was implemented. I propose that we do not block undrafting it on dramatically changing the way Telepathy works.

Here are two branches. The first just adds the contact ID as a separate struct member in the result map, rather than hiding it as a fake vCard field. The second removes handles from the interface entirely and just keys the map with identifiers.

http://people.freedesktop.org/~wjt/telepathy-spec-search_contact_identifier/spec/Channel_Type_Contact_Search.html
http://git.collabora.co.uk/?p=user/wjt/telepathy-spec-wjt.git;a=shortlog;h=refs/heads/search-contact-identifier

http://people.freedesktop.org/~wjt/telepathy-spec-search_contact_identifier_no_handles/spec/Channel_Type_Contact_Search.html
http://git.collabora.co.uk/?p=user/wjt/telepathy-spec-wjt.git;a=shortlog;h=refs/heads/search-contact-identifier-no-handles

I vaguely prefer the second one. Both of these break the API, but I haven't bumped it to DRAFT3 because, honestly, we should just insta-undraft it.
Comment 7 Will Thompson 2010-07-14 04:55:11 UTC
(In reply to comment #6)
> http://people.freedesktop.org/~wjt/telepathy-spec-search_contact_identifier_no_handles/spec/Channel_Type_Contact_Search.html
> http://git.collabora.co.uk/?p=user/wjt/telepathy-spec-wjt.git;a=shortlog;h=refs/heads/search-contact-identifier-no-handles
> 
> I vaguely prefer the second one. Both of these break the API, but I haven't
> bumped it to DRAFT3 because, honestly, we should just insta-undraft it.

And it's undrafted and merged!

commit aac5859cd8c4c12f6b560cb46fb05c439f37411f
Merge: 8a41e0f 1c5d707
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed Jul 14 12:52:32 2010 +0100

    Merge branch 'search-contact-identifier-no-handles'
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.